
import sys
def wsadminToList(inStr):
        outList=[]
        if (len(inStr)>0 and inStr[0]=='[' and inStr[-1]==']'):
                tmpList = inStr[1:-1].split(" ")
        else:
                tmpList = inStr.split("\n")  #splits for Windows or Linux
        for item in tmpList:
                item = item.rstrip();        #removes any Windows "\r"
                if (len(item)>0):
                        outList.append(item)
        return outList

#########################################
#
# Open security.xml 
#
#########################################

sec = AdminConfig.list("Security" )

#########################################
#
# Locate systemLoginConfig 
#
#########################################

slc = AdminConfig.showAttribute(sec, "systemLoginConfig" )

#########################################
#
# Add the DESERIALIZE_ASYNCH_CONTEXT login configuration
#
#########################################

newJAASConfigurationEntryId = AdminConfig.create("JAASConfigurationEntry", slc, [["alias", "DESERIALIZE_ASYNCH_CONTEXT"]] )

newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.security.server.lm.ltpaLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )

newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.security.server.lm.wsMapDefaultInboundLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )

print "systemLoginConfig alias=DESERIALIZE_ASYNCH_CONTEXT has been defined."

#########################################
#
# save the change
#
#########################################

AdminConfig.save( )

